# class Bundler::Settings::Validator

### Public Class Methods

validate!(key, value, settings) click to toggle source

    # File lib/bundler/settings/validator.rb, line 52
    def self.validate!(key, value, settings)
      rules_to_validate = rules[key]
      rules_to_validate.each {|rule| rule.validate!(key, value, settings) }
    end

### Private Class Methods

rule(keys, description, &blk) click to toggle source

    # File lib/bundler/settings/validator.rb, line 46
    def self.rule(keys, description, &blk)
      rule = Rule.new(keys, description, &blk)
      keys.each {|k| rules[k] << rule }
    end

rules() click to toggle source

    # File lib/bundler/settings/validator.rb, line 41
    def self.rules
      @rules ||= Hash.new {|h, k| h[k] = [] }
    end